Quantcast
Channel: Scripting - McNeel Forum
Browsing all 5745 articles
Browse latest View live

Matlab in GH

Hello everyone, I need to run a Matlab script from GH and retrieve the results, and this needs to be automated for optimization purposes. I have been doing research and found out that is possible to...

View Article


Issues with importing custom Python module?

Hi, I have a custom Python package/module with the following file structure: package – __init__.py – lib1.py – lib2.py init.py contains imports for os, random, lib1, and lib2. lib1 contains a class,...

View Article


ETO Grid View with Checkbox

Hi, Are there any examples out there of a Grid View with a checkbox in one of the columns? Using Python in Rhino 6. Eric 2 posts - 2 participants Read full topic

View Article

Image may be NSFW.
Clik here to view.

C# ClosestIndexInList Method Error

Hi all, I have a cloud of points and a given point called B. I want to find the closest point from the cloud to point B. Like @DavidRutten suggested here I am trying to use the method:...

View Article

Using rhinoscriptsyntax in Jupyter Notebook

Did anyone use rhinoscriptsyntax module in Jupiter notebook? Or is there an API from Rhino to extract surface normal vectors from a rhino model in the Jupiter notebook? 2 posts - 2 participants Read...

View Article


Undo in Rhinoscript

Is there a Rhinoscript version of Python’s RhinoDoc.BeginUndoRecord and RhinoDoc.EndUndoRecord commands? 5 posts - 3 participants Read full topic

View Article

Movement tracking/ real time clay visualisation

Hi, I have some issues with this grass hopper script that is central to the project I am developing at the moment. For context its aim is to link Clay, Hand coiling (human 3d printing) and rhino3d to...

View Article

Python Examples of Rhino.Geometry.Curve.SetEndPoint

Hi, Are there any examples out there that use Rhino.Geometry.Curve.SetEndPoint. I want to move the end point of a curve to a new location. Thanks in Advance, Eric 3 posts - 2 participants Read full...

View Article


New to scripting, How can I script a closed curve and extrude it?

Hi Everyone, I am very new to scripting in rhino and I am trying to figure out how I can get user input to draw a closed curve, a box, and then extrude it to a user inputted height? Would I use import...

View Article


Image may be NSFW.
Clik here to view.

Pdf creation through python

Hi, The production of pdf through python is misbehaving. The following code demonstrates the inconsistencies. Run it in a new rhino file. The code generates its own objects to be printed. (updated the...

View Article

Move start and end points of line segment

Hi. I have managed to gain access to the line segments that make up a polyline by using this code: pline = Rhino.Geometry.PolylineCurve.ToPolyline(curve) segments =...

View Article

Image may be NSFW.
Clik here to view.

rs.ClosedCurveOrientation() behavior doesn't match documentation

image817×430 17.2 KB 6 posts - 4 participants Read full topic

View Article

Looking for an example using Rhino.Geometry.PolyCurve.ToPolyline()

Hi, Looking for a python example using Rhino.Geometry.PolyCurve.ToPolyline(). Unsure of how to format the arguments? Eric 3 posts - 2 participants Read full topic

View Article


Expected Curve, got Array[Curve]

Hi, I am using GHPython on Rhino 6. I just offset multiple curves at various distances using the Curve.Offset in RhinoCommon. I want to find the intersection points of those curves but have the error...

View Article

Image may be NSFW.
Clik here to view.

Python rs.ProjectPointToSubD()?

Hi guys, I see there is no project point to subd for python yet, will that come soon? Can’t wait to start scripting for SubD 2 posts - 2 participants Read full topic

View Article


How to move control point surface by rhino Script

I want to adjust these control point surfce by script. But i don know how to move control point surface. Plese help me. 2 posts - 2 participants Read full topic

View Article

Image may be NSFW.
Clik here to view.

Insert Block as Individual Objects

When inserting a block into Rhino one has the option to insert the block as individual objects. I can’t find a way to do this with code (python). Is there a function in Rhinoscript or Rhino Common?...

View Article


Using Overloads with DecomposeAffine

Hi- I’m relatively new to using python in Rhino and am trying to understand the use of Overloads with Transform.DecomposeAffine. When enter the following: block = rs.GetObject("",4096) XForm =...

View Article

Image may be NSFW.
Clik here to view.

Pip install for IronPython

Hi I have been reading these three threads from three years ago, trying to figure out if there is easier way to pip install python modules through cmd IronPython installation + Rhino 5 / Rhino 6 /...

View Article

Object name to Text Object

Hi all! Is there any way to create Text objects that automatically use the Object name? I’ve been trying to script this in Rhinoscript but nothing seems to work at this point. I’ve looked in...

View Article
Browsing all 5745 articles
Browse latest View live